Jump to content
terence_nxg

How to install KES last version to Macbooks by script?

Recommended Posts

Hi Support Team, 

I tried to use the official script (which is in the download package) to install the KES version 10.2.1.319a and got the error messages as below: 

- - - - - -

/Volumes/Kaspersky Endpoint Security/Kaspersky Installer.app/Contents/Packages/gdpr_wizard_config.plist -> /tmp/klgdprconfig
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: set_agreement_field() takes exactly 3 arguments (2 given)
run_python failed with args: set_agreement_field('Ksn', 'accepted', )
set Ksn.accepted failed
parse_kud failed
cleanup started
Unmount disk image /Volumes/Kaspersky Endpoint Security
"disk2" ejected.
Remove /tmp/klgdprconfig
cleanup finished

- - - - - 

How to fix that?  I want to upgrade the version through Apple Remote Desktop. Attached the original script. Thank you

 

 

 

install.sh

Share this post


Link to post

Could you fix the problem? I have the same issue now...

Share this post


Link to post

Hi, i also got the same error (post above),

i could fix the problem by deleting the complete installation package and creating a fresh one.

Now i got no errors :)

Share this post


Link to post

×
×
  • Create New...

Important Information

We use cookies to make your experience of our websites better. By using and further navigating this website you accept this. Detailed information about the use of cookies on this website is available by clicking on more information.